<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/vod/vod_list_screen.php';

class KtvVodListScreen extends VodListScreen
{
       public static function get_media_url_str($cat_id)
    {
        $arr['screen_id'] = self::ID;
        $arr['category_id'] = $cat_id;
        return MediaURL::encode($arr);
    }

    ///////////////////////////////////////////////////////////////////////

    public function __construct(Vod $vod)
    {
        parent::__construct($vod);
    }

    ///////////////////////////////////////////////////////////////////////

    protected function get_short_movie_range(MediaURL $media_url, $from_ndx,
        &$plugin_cookies)
    {
		hd_print(__METHOD__);
        /////////////////////////////////////////////////////////////////////
        		if(preg_match('/http/i', $media_url->category_id)){
					
				$xml=HD::http_get_document($media_url->category_id);
				$pars=simplexml_load_string($xml, 'SimpleXMLElement', LIBXML_NOCDATA);	
				$movies = Array();
				
				$i=1;
				foreach($pars->Children() as $c){
				if(isset($c->playlist_url)){
				$movies[] = new ShortMovie(
                $i."&&&".$c->playlist_url."&&&".$c->title, $c->title, $c->logo_30x30);
				}
				$i++;
				}
				
		 return new ShortMovieRange(0, count($movies), $movies);
		}
		///////////////////////////////////////////////////////////////////////////
				else{
		if($media_url->category_id === 'ALL')
		{
			//hd_print("ALL");
			$cat="ALL";
		}
		elseif(substr($media_url->category_id, 0, 4) === 'CATE')
		{
				//hd_print("CATE");
				$pars = explode("CATE", $media_url->category_id);
				$cat = $pars[1];
			}
		
	
       
		$m3u_lines = file("/tmp/kingvod.m3u", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
	
		
        $movies = array();
		if($cat === "ALL"){
        for ($i = 0; $i < count($m3u_lines); ++$i)
        {
				if (preg_match('/EXTINF:/i', $m3u_lines[$i]))
				{
				$pars = explode(',', $m3u_lines[$i]);
				$caption = $pars[1];
				
            	$pars = explode('tvg-logo="', $m3u_lines[$i]);
				if(count($pars) > 1)
				$channel_icon = strstr($pars[1], '"', true);
				else
				$channel_icon = 0;
				
				$url = $m3u_lines[$i + 1];
				
				$movies[] = new ShortMovie(
                $i."&&&".$caption, $caption, $channel_icon);

				if ($i + 1 >= count($m3u_lines))
					break;
				}
			}
		}
		else
		{
			for ($i = 0; $i < count($m3u_lines); ++$i)
			{
				if (preg_match('/EXTINF:/i', $m3u_lines[$i]))
				{
				$pars = explode(',', $m3u_lines[$i]);
				$caption = $pars[1];
				
            	$pars = explode('tvg-logo="', $m3u_lines[$i]);
				if(count($pars) > 1)
				$channel_icon = strstr($pars[1], '"', true);
				else
				$channel_icon = 0;
				
				$pars = explode('group-title="', $m3u_lines[$i]);
				if(count($pars) > 1)
				$group_name = strstr($pars[1], '"', true);
				else
					$group_name = "Прочие";
				
				$url = $m3u_lines[$i + 1];
				
				
				if($group_name === $cat){
				$movies[] = new ShortMovie(
                $i."&&&".$caption, $caption, $channel_icon);
				}
				if ($i + 1 >= count($m3u_lines))
					break;
				}
			}
		}

        return new ShortMovieRange(0, count($movies), $movies);
	}
    }
}

///////////////////////////////////////////////////////////////////////////
?>
